% Select the best from a set of PH distributions
% according to the sum of squared relative distances from tmoms
function [bph, bestdist] = selectbestph (phs, tmoms)

    bph = [];
    bestdist = inf;
    for i=1:length(phs)
        % calculate sum of the squared relative distances
        % between tmoms and the moments of phs(i)
        m = phmoments(phs(i).alpha, phs(i).A, length(tmoms));
        dist = sum(((m-tmoms)./tmoms).^2);
        % if this is the best so far, store it
        if dist<bestdist
            bestdist = dist;
            bph = phs(i);
        end
    end
end
